Package groovy.text

# Class TemplateEngine

java.lang.Object
groovy.text.TemplateEngine

Direct Known Subclasses:
  `GStringTemplateEngine`, `MarkupTemplateEngine`, `SimpleTemplateEngine`, `StreamingTemplateEngine`, `XmlTemplateEngine`

    public abstract class TemplateEngine
    extends java.lang.Object

A template engine is a factory for creating a Template instance for a given text input.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TemplateEngine()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Template` | `createTemplate​(java.io.File file)` | Creates a template from the File contents.
  `Template` | `createTemplate​(java.io.File file, java.nio.charset.Charset cs)` | Creates a template from the File contents using the given charset encoding.
  `abstract Template` | `createTemplate​(java.io.Reader reader)` | Creates a template by reading content from the Reader.
  `Template` | `createTemplate​(java.lang.String templateText)` | Creates a template from the String contents.
  `Template` | `createTemplate​(java.net.URL url)` | Creates a template from the content found at the URL using the default encoding.
  `Template` | `createTemplate​(java.net.URL url, java.nio.charset.Charset cs)` | Creates a template from the content found at the URL using the given charset encoding.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateEngine

    public TemplateEngine()

- ## Method Details

  - ### createTemplate

    public abstract Template createTemplate​(java.io.Reader reader) throws CompilationFailedException, java.lang.ClassNotFoundException, java.io.IOException
    Creates a template by reading content from the Reader.
    Throws:
      `CompilationFailedException`
      `java.lang.ClassNotFoundException`
      `java.io.IOException`

  - ### createTemplate

    public Template createTemplate​(java.lang.String templateText) throws CompilationFailedException, java.lang.ClassNotFoundException, java.io.IOException
    Creates a template from the String contents.
    Throws:
      `CompilationFailedException`
      `java.lang.ClassNotFoundException`
      `java.io.IOException`

  - ### createTemplate

    public Template createTemplate​(java.io.File file) throws CompilationFailedException, java.lang.ClassNotFoundException, java.io.IOException
    Creates a template from the File contents. If the encoding for the file can be determined, that encoding will be used, otherwise the default encoding will be used. Consider using `createTemplate(File, Charset)` if you need to explicitly set the encoding.
    Throws:
      `CompilationFailedException`
      `java.lang.ClassNotFoundException`
      `java.io.IOException`

  - ### createTemplate

    public Template createTemplate​(java.io.File file, java.nio.charset.Charset cs) throws CompilationFailedException, java.lang.ClassNotFoundException, java.io.IOException
    Creates a template from the File contents using the given charset encoding.
    Throws:
      `CompilationFailedException`
      `java.lang.ClassNotFoundException`
      `java.io.IOException`

  - ### createTemplate

    public Template createTemplate​(java.net.URL url) throws CompilationFailedException, java.lang.ClassNotFoundException, java.io.IOException
    Creates a template from the content found at the URL using the default encoding. Please consider using `createTemplate(URL, Charset)`.
    Throws:
      `CompilationFailedException`
      `java.lang.ClassNotFoundException`
      `java.io.IOException`

  - ### createTemplate

    public Template createTemplate​(java.net.URL url, java.nio.charset.Charset cs) throws CompilationFailedException, java.lang.ClassNotFoundException, java.io.IOException
    Creates a template from the content found at the URL using the given charset encoding.
    Throws:
      `CompilationFailedException`
      `java.lang.ClassNotFoundException`
      `java.io.IOException`